<?xml version="1.0" encoding="utf-8"?>
<odoo>

    <record id="inherit_view_order_form" model="ir.ui.view">
        <field name="name">sale.order.form.inherit</field>
        <field name="model">sale.order</field>
        <field name="inherit_id" ref="sale.view_order_form"/>
        <field name="arch" type="xml">
            <!--<xpath expr="//field[@name='partner_id']" position="replace">
                <field name="partner_id" widget="res_partner_many2one" string="Client" required="1"
                       context="{'res_partner_search_mode': 'customer', 'show_address': 1, 'show_vat': True}"
                       options='{"always_reload": True}'/>
            </xpath>-->
            <xpath expr="//field[@name='require_signature']" position="replace">
                <field name="require_signature" invisible="1"/>
            </xpath>
            <xpath expr="//field[@name='require_payment']" position="replace">
                <field name="require_payment" invisible="1"/>
            </xpath>
            <xpath expr="//field[@name='payment_term_id']" position="replace">
                <field name="payment_term_id" invisible="1" options="{'no_open':True,'no_create': True}"/>
            </xpath>
            <page name="customer_signature" position="attributes">
                <attribute name='invisible'>1</attribute>
            </page>
        </field>
    </record>

   <!-- <record id="inherit_view_quotation_tree" model="ir.ui.view">
        <field name="name">sale.order.tree.inherit</field>
        <field name="model">sale.order</field>
        <field name="inherit_id" ref="sale.view_quotation_tree"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='partner_id']" position="replace">
                <field name="partner_id" readonly="1" string="Client"/>
            </xpath>
        </field>
    </record>

    <record id="inherit_view_order_tree" model="ir.ui.view">
        <field name="name">sale.order.tree.inherit</field>
        <field name="model">sale.order</field>
        <field name="inherit_id" ref="sale.view_order_tree"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='partner_id']" position="replace">
                <field name="partner_id" readonly="1" string="Client"/>
            </xpath>
        </field>
    </record> -->

</odoo>
